QGIS Application - Bug report #14956
adding QgsRelationEditorWidget crashes Qt Designer
2016-06-04 12:29 PM - Andrew McAninch

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 22905
Description

On Windows 7, 0SGeo4W-64, Qt Designer crashes when | try to add a QgsRelationEditorWidget. | have tested this in the nightly build
as well as the 2.14.3 build. Qt Designer with 2.8.9 widgets works fine, but if | open a form built with the LTR in another version of Qt

Designer, Designer will crash when | switch to the tab with the relation widget.

| briefly tested master on Ubuntu and that crashes QT Designer as well.

History

#1 - 2016-06-12 05:22 AM - Matthias Kuhn
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in commit:76bf6e0dc6cf7alc84a3d0cc4fe7b8c1032e8eb0

#2 - 2016-09-13 07:30 AM - Sandro Santilli
- Target version set to Version 2.16

Should this be (or was it) backported to 2.14 ?
To answer https://lists.osgeo.org/pipermail/ggis-user/2016-September/037750.html

#3 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown
